local I = {}

function I.create ()

	print("Load dialog content window")

	I.window = LuaWindow(gGUI.createWindow({
		width = 300,
		height = 120,
		verticalAlignment = VerticalAlignment.Top,
		id = "dialogContentWnd",
		flags = 3
	}))

	I.text = LuaText(gGUI.createTextBlock({
		parent = I.window.instance(),
		font = 0,
		color = 3,
		x = 14,
		y = 12,
		width = I.window.getWidth() - 16 * 2,
		height = 100
	}))

	--I.text.setText("Lorem ipsum dolor sit amet, consectetur adipiscing elit. Phasellus dignissim imperdiet purus a posuere. Fusce lobortis velit lorem, ut vestibulum sapien dapibus non. Duis volutpat sapien sit amet ligula vehicula, nec vehicula mauris varius.")

end

function I.display (text)
	I.text.setText(text)
	I.text.startAnimation(ConstTextAnimationSpeedFast, 0.0, gSoundManager.sfxEnabled())
end

UI.Interfaces["dialog_content"] = I
